---
title: Navigator.permissions
slug: Web/API/Navigator/permissions
tags:
  - API
  - Experimental
  - Navigator
  - Permissions
  - Property
  - Reference
---
<p>{{APIRef("HTML DOM")}}{{SeeCompatTable}}</p>

<p>The <code><strong>Navigator.permissions</strong></code> read-only property returns a {{domxref("Permissions")}} object that can be used to query and update permission status of APIs covered by the <a href="/en-US/docs/Web/API/Permissions_API">Permissions API</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>permissionsObj</em> = <em>globalObj</em>.navigator.permissions
</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("Permissions")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">navigator.permissions.query({name:'geolocation'}).then(function(result) {
  if (result.state === 'granted') {
    showMap();
  } else if (result.state === 'prompt') {
    showButtonToEnableMap();
  }
  // Don't do anything if the permission was denied.
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Permissions API')}}</td>
			<td>{{Spec2('Permissions API')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.permissions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Permissions_API">Permissions API</a></li>
	<li>{{domxref("Navigator")}}</li>
</ul>
